GENOME-MUSIC-BMR-CALC-WIG-COVG(1p)

genome music bmr calc-wig-covg

NAME
genome music bmr calc-wig-covg - Count covered bases per-gene for each given wiggle track format file.

VERSION
This document describes genome music bmr calc-wig-covg version 0.04 (2016-01-01 at 23:10:18)

SYNOPSIS
genome music bmr calc-wig-covg --roi-file=? --reference-sequence=? --wig-list=? --output-dir=?

General usage:

 ... music bmr calc-wig-covg \
    --wig-list input_dir/wig_list \
    --output-dir output_dir/ \
    --reference-sequence input_dir/all_sequences.fa \
    --roi-file input_dir/all_coding_exons.tsv

REQUIRED ARGUMENTS

roi-file  Text
    Tab-delimited list of ROIs [chr start stop gene_name] (See Description)

reference-sequence  Text
    Path to reference sequence in FASTA format

wig-list  Text
    Tab-delimited list of WIG files [sample_name wig_file] (See Description)

output-dir  Text
    Directory where output files and subdirectories will be written

DESCRIPTION
This script counts bases with sufficient coverage in the ROIs of each gene from given wiggle track format files, and categorizes them into - AT, CG (non-CpG), and CpG counts. It also adds up these base-counts across all ROIs of each gene for each sample, but covered bases that lie within overlapping ROIs are not counted more than once towards these total counts.

ARGUMENTS

--roi-file
    The regions of interest (ROIs) of each gene are typically regions targeted for sequencing or are merged exon loci (from multiple transcripts) of genes with 2-bp flanks (splice junctions). For per-gene base counts, an overlapping base will be counted each time it appears in an ROI of the same gene. To avoid this, be sure to merge together overlapping ROIs of the same gene. BEDtools' mergeBed can help if used per gene.
--reference-sequence
    The reference sequence in FASTA format. If a reference sequence index is not found next to this file (a .fai file), it will be created.
--wig-list
    Provide a file containing sample names and the wiggle track format file locations for each. Use the tab-delimited format [sample_name wig_file] per line. Additional columns like clinical data are allowed, but ignored. The sample_name must be the same as the tumor sample names used in the MAF file (16th column, with the header Tumor_Sample_Barcode).
--output-dir
    Specify an output directory where the following will be created/written: roi_covgs: Subdirectory containing per-ROI covered base counts for each sample. gene_covgs: Subdirectory containing per-gene covered base counts for each sample. total_covgs: File containing the overall non-overlapping coverages per sample.

LICENSE
Copyright (C) 2010-2011 Washington University in St. Louis.

It is released under the Lesser GNU Public License (LGPL) version 3. See the associated LICENSE file in this distribution.

AUTHORS
 Cyriac Kandoth, Ph.D.

SEE ALSO
genome-music-bmr(1), genome-music(1), genome(1)